=== debian/changelog ===
compiz (1:0.9.7.6-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Memory leak in dlloaderListPlugins (LP: #968985)
    - priv->invisible is not updated when the window is mapped (LP: #969102)
    - window management, multi-monitor - In multi-monitor environment, windows
      should spread on the monitor in which they reside (LP: #919139)
    - Drop-down menus look disembodied from their titles (LP: #659816)
    - Improve performace of the shadow clipping code (LP: #931883)
    - DecorWindow::computeShadowRegion called way too much (LP: #969101)
    - white box randomly shows up at top left corner blocking application
      from using stuff under it (LP: #940603)
  * Rebuild against latest metacity to get the HUD key configuration
    exposed in unity 3D as well (LP: #969256)
  * debian/patches/ubuntu-config.patch:
    - set multioutput_mode to all outputs (windows to be scaled on each the
      monitor they are on only) (LP: #919139)
  * debian/patches/fix_976467.patch:
    - Fix shadows being clipped incorrectly (LP: #976467)

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 11 Apr 2012 18:35:39 +0200

compiz (1:0.9.7.4-0ubuntu3) precise; urgency=low

  * fix typo in copying of the cmake files, so FindOpenGLES2.cmake ends up in
    the right place for other packages (i.e. compiz-plugins-main on GLES2
    capable arches)
  * make copying the GLES2 cmake file architecture specifc instead of ignoring
    if it is not found on arches that do not have it.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Apr 2012 13:55:13 +0200

compiz (1:0.9.7.4-0ubuntu2) precise; urgency=low

  * enable Linaros compiz-package-gles2.patch for armhf(/el) builds, thanks
    to Alexandros Frantzis <alexandros.frantzis@linaro.org> for creating it.
  * enable quilt in debian/rules
  * apply patches based on debian architecture via series.<arch> file
    (stolen from eglibc)
  * add build deps to libgl1-mesa-dev and libgl-dev for armhf builds
  * add armel/armhf specific .install files since only a subset of modules can
    be built yet.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 05 Apr 2012 19:09:27 +0200

compiz (1:0.9.7.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - compiz crashed with SIGSEGV in CompositeScreen::compositingActive()
    - Window management - Closing one window sends others to the
      background (LP: #888704)
    - [regression] Invisible resize border is now only 1px wide (LP: #953839)
    - Coverity REVERSE_INULL - CID 10888 (LP: #957572)
    - Unity dash opens and immediately closes if you tap Super+A
      quickly (LP: #960831)
    - Unity 5.8: Flickering and corruption on Unity UI elements (LP: #963093)
    - Unity 5.8: Can't login to Unity since upgrade to 5.8 (LP: #963465)
    - [regression] Unity 5.8+Compiz 0.9.7.2: Pressing Super+Tab or
      Super+W works, but unity does not respond to when Super is
      released. (LP: #963470)
    - Unity 5.8: Login to blank screen (all black or just wallpaper)
      (LP: #963633)
    - Tests do not build when libgtest-dev is installed but libgtest
      isn't (LP: #964248)
    - Note that this fix is REMOVED for stability reasons:
       Unity/compiz intercepts Super and Alt keypresses from grabbed
       windows like VMs. (806255)
  * debian/patches/ubuntu-config.patch:
    - tweak slightly the shadow border for both active/inactive windows.
    - change the shortcuts as per design request: (LP: #969235)
      Ctrl + Super + D Minimises all windows
      Ctrl + Super + Cursor up Maximises the current window
      Ctrl + Super + Cursor down Restores or minimises current window
  * debian/rules, debian/compiz-gnome.gconf-defaults:
    - move the default for the unity-less default profile from DEFAULT_PLUGINS
      list as it seems compiz tries to load that list, then ccp, then the
      profile list.
    - put the active_plugins list back to the Default profile in gconf then.
  * debian/control:
    - set Standards-Version to latest
  * remove debian/patches/always_replace.patch,
    debian/patches/exit_1_if_composite_cant_init.patch,
    debian/patches/reset_active_plugin_list.patch,
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - the 3 bad hacks are now not necessary anymore (LP: #963264)
  * remove as now in upstream tarball:
    - debian/patches/fix_953839.patch
    - debian/patches/revert_lim.patch
    - debian/patches/fix_953089_2.patch
    - debian/patches/fix_960831.patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Apr 2012 15:43:16 +0200

compiz (1:0.9.7.2-0ubuntu4) precise; urgency=low

  * No-change upload to the release pocket instead of to -proposed, so we can
    get the package built on all archs immediately instead of it blocking on
    gtk+3.0's build on armel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Mar 2012 14:57:30 -0700

compiz (1:0.9.7.2-0ubuntu3) precise-proposed; urgency=low

  * debian/reset-compiz-gconf:
    - Fix crash in a new session

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Mar 2012 20:35:33 +0200

compiz (1:0.9.7.2-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/reset_active_plugin_list.patch:
    temporary wrapper from resetting the plugin list to the default.
    Uncorrect and unknown plugin makes various side effects, like removing
    plugins, creating hanging at startup and also creating on screen
    corruption. (LP: #963633)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Mar 2012 18:41:09 +0200

compiz (1:0.9.7.2-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream snapshot:
    - Fix global menu not being ergonomical on large screens (LP: #682788)
    - Fix Alt+Right arrow key (LP: #943612)
    - Fix key bindings for actions while doing tap detection (LP: #944631)
    - Window movement is erratic and buggy, backport (LP: #923683)

