=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.6),
 debhelper (>= 7.0.50~), intltool, 
 libcairo2-dev,
 libdbus-glib-1-dev, libgconf2-dev, 
 libgl1-mesa-dev (>= 6.5.1) [!armhf !armel]| libgl-dev [!armhf !armel],
 libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
 libglib2.0-dev, libboost-serialization1.46-dev,
 libgtk2.0-dev, libgtk-3-dev, libice-dev (>= 1:1.0.1), 
 libmetacity-dev (>= 1:2.30.3-0ubuntu3), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
 libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1), 
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 quilt (>= 0.40), x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev [!armhf !armel],
 libglib2.0-dev,
 libglibmm-2.4-dev,
 kde-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
 metacity-common, libx11-xcb-dev,
 gnome-control-center-dev,
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~compiz/compiz/ubuntu

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome | compiz-kde,
         compiz-plugins-main-default (>= 0.9),
         libcompizconfig0 (>= 0.9.7.0~bzr428-0ubuntu2), ${misc:Depends}
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcompizconfig0 (<< 0.9.5.94-0ubuntu2),
 compiz-fusion-plugins-main (<< 0.9.2.1-0ubuntu6), 
 unity (<< 4.2.0), 
 compiz-fusion-plugins-extra (<< 0.9),
 simple-ccsm (<< 0.9)
Recommends: compiz-plugins-default (= ${binary:Version})
Provides: compiz-core-abiversion-${coreabiversion}
Conflicts: compiz-wrapper (<< 1:0.8.4-0ubuntu4)
Replaces: compiz-wrapper (<< 1:0.8.4-0ubuntu4),
          compiz-gnome (<< 1:0.8.4-4ubuntu1)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev [!armhf !armel]| libgl-dev [!armhf !armel], libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel], libpng-dev, libgtk-3-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version}), libdecoration0-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-kde
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         compizconfig-backend-kconfig
Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3)
Description: OpenGL window and compositing manager - KDE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses KDE to provide a look and
 feel similar to that of the default KDE window manager.
 .
 NOTE: this package is empty for now. It needs some upstream maintenance to
 upgrade to a newer API. It will surely get removed soon if no enhancement
 is available.

Package: compiz-gnome
Architecture: any
Suggests: gnome-themes
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         compizconfig-backend-gconf (>= 0.9.2.1git101213)
Replaces: compiz-plugins (<= 1:0.8.6-0ubuntu12),
          compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3),
          compiz-gnome (<< 1:0.8.4-4ubuntu1),
          compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3)
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default compiz plugins we activate in ubuntu coming
 with core compiz.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1)
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.
