=== images/CMakeLists.txt ===

set (_images
    icon.png
)

install (
    FILES ${_images}
    DESTINATION ${COMPIZ_DESTDIR}${compiz_sharedir}
)
