=== tests/CMakeLists.txt ===
if (COMPIZ_BUILD_TESTING)
add_subdirectory (integration)
endif (COMPIZ_BUILD_TESTING)
