=== debian/changelog ===
compiz (1:0.9.7.12-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/revert_fix_994841.patch, 
    debian/patches/revert_fix_933776_955035.patch
    - Removed, upstreamed
  * debian/watch:
    - Changed to the correct LP tarball path
  * debian/patches/compiz-package-gles2.patch:
    - Updated GLES patches to properly apply to the new compiz version

  [ Timo Jyrinki ]
  * New upstream release.
    - Compiz won't start if "unredirect fullscreen windows" is enabled 
      (LP: #980663)
    - "Unredirect Fullscreen Windows" stay on top (unredirected) even 
      when they're not on top any more (or the output is transformed) 
      (LP: #1041047)
    - Unredirect Fullscreen Windows sometimes fails to unredirect fullscreen 
      windows at all (LP: #1041066)
    - "Unredirect Fullscreen Windows" stay on top (unredirected) even when 
      an RGBA window is stacked above it (LP: #1046661)
    - scale mode is not visible if a fullscreen window is unredirected 
      (LP: #1047168)
    - Unredirecting a fullscreen window on a secondary monitor causes that
      monitor to flicker (LP: #1050749)
    - "Unredirect Fullscreen Windows" makes multi-monitor rendering much 
      slower (LP: #1051885)
    - [regression] Maximized window gets unredirected when it's not 
      fullscreen (LP: #1053902)
    - Unredirected fullscreen windows freeze and stay on top when wall 
      sliding (Ctrl+Alt+Left/Right) (LP: #1084401)
    - "Unredirect Fullscreen Windows" can cause significant tearing on 
      fullscreen windows (especially playing video) on some drivers
      (LP: #1051802)
    - HTML5 video in Firefox continues to tear (LP: #1086337)
    - Add support for blacklisting some drivers from using unredirected 
      fullscreen windows. By default intel and nouveau on Mesa 8.0 
      are blacklisted, configurable via ccsm. Users can upgrade to 
      Mesa 9.0 around 12.04.2 time. (LP: #1089246)
    - Unredirect fullscreen windows should be the default for optimal 
      performance (LP: #1063690)
  * debian/patches/workaround_broken_drivers.patch:
    - Updated to apply.
  * debian/patches/force_unredirect_enabling.patch:
    - Enable unredirect_fullscreen_windows unconditionally. Because of 
      gconf hurdles we can't easily migrate existing users into the 
      new default otherwise. Unredirection can be easily disabled with 
      the new unredirect_match option, by blanking it completely, 
      including removing the '(any)' part.
  * debian/patches/compiz-package-gles2.patch:
    - Update for the new blacklisting feature as well
  * debian/patches/blacklist_no_xml_double_escaping.patch:
    - Cherry-pick fix for the default string (LP: #1091103)

  [ Michael Terry ]
  * debian/patches/blacklist_no_xml_double_escaping.patch:
    - Update to also blacklist Mesa 9.0, which precise users may have from
      the x-updates PPA.  9.0 seems to have similar problems as 8.0 on
      Intel hardware.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Dec 2012 10:41:24 +0200

compiz (1:0.9.7.8+bzr3121-0ubuntu1) precise-proposed; urgency=low

  * New upstream stable branch snapshot.
    - Includes all the previous cherry-picked fixes
    - Fix crash when imgsvg is loaded, due to missing symbol 
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Fix window handle leak causing gradual degradation in desktop 
      performance (LP: #1050610)
    - Some decoration pixmaps get leaked on window resize, due to race 
      conditions between gtk-window-decorator and the decor plugin.
      (LP: #1057263)
    - Avoid a NULL dereference and give a useful error message instead.
      (LP: #944653)
    - Fix leakage of destroyed_pixmaps_table, containing pointers to freed 
      decor_t's which could result in a freed GHashTable being passed into 
      g_hash_table_remove and causing a crash. (LP: #1060171)
  * debian/patches/compiz-package-gles2.patch:
    - Drop the NEWS file, update decor.cpp part to build with new upstream
      code.
  * debian/patches/revert_fix_933776_955035.patch:
    - Cherry-pick the revert from upstream since the bug fix is not 
      suitable for SRU as is
  * debian/patches/revert_fix_994841.patch:
    - Cherry-pick also this revert as non-SRU material, not relevant 
      to users
  * debian/libdecoration0.symbols:
    - Update with latest symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 12 Nov 2012 13:56:29 +0200

compiz (1:0.9.7.8-0ubuntu1.4) precise-proposed; urgency=low

  [ Steve Langasek ]
  * debian/patches/compiz-package-gles2.patch: refresh to account for
    fix_1012956.patch, which introduces non-GLES2 objects that need to be
    patched back out for ARM.  LP: #1032902.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 07 Aug 2012 12:32:27 +0300

compiz (1:0.9.7.8-0ubuntu1.3) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Cherry-pick upstream patches:
    - CMake Error at FindCompiz.cmake:84 (include): include could not find load
      file: CompizDefaults (LP: #993608)
    - compiz (decor) - Warn: failed to bind pixmap to texture (LP: #929989)
    - gtk-window-decorator crashed with SIGFPE in 
      _decor_blend_horz_border_picture() (LP: #963794)
    - [callgrind] compiz spends ~25% of its time constructing/destructing 
      strings in PrivateScreen::handleActionEvent (LP: #1005569)
    - gtk-window-decorator crashed with SIGSEGV in meta_get_decoration_geometry
      (LP: #1007754)
    - composite refresh rate falls back to 50Hz, which is wrong in most cases
      (LP: #1009338)
    - [callgrind] compiz spends ~7% of its time inserting into and destructing 
      the events list in PrivateScreen::processEvents() (LP: #1006335)
    - It is possible for a dock shadow to be painted even if the dock window 
      isn't painted (LP: #1012956)

  [ Timo Jyrinki ]
  * Cherry-pick upstream patches:

