=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  metacity-common, libx11-xcb-dev,
  gnome-control-center-dev,
 Standards-Version: 3.9.3
-Vcs-Bzr: https://code.launchpad.net/~compiz/compiz/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/compiz/precise
 
 Package: compiz
 Architecture: all
