=== debian/watch ===
version=3
https://launchpad.net/compiz-core/+download .*/compiz-core-([0-9.]+)\.tar\.bz2
